Bug 37953 - [Qt] Refactor qtscriptglobal.h
Summary: [Qt] Refactor qtscriptglobal.h
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Qt (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC All
: P2 Normal
Assignee: Nobody
URL:
Keywords: Qt
Depends on:
Blocks: 31863
  Show dependency treegraph
 
Reported: 2010-04-21 14:50 PDT by Laszlo Gombos
Modified: 2010-04-29 03:25 PDT (History)
4 users (show)

See Also:


Attachments
proposed patch (1.86 KB, patch)
2010-04-21 16:22 PDT, Laszlo Gombos
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Laszlo Gombos 2010-04-21 14:50:05 PDT
qtscriptglobal.h checks for Q_OS_WIN and Q_OS_SYMBIAN. Checking for Q_OS_SYMBIAN might actually be incorrect for the simulated Symbian environment, but more importantly we should have the same logic for this file as to qwebkitglobal.h (which does not check for Q_OS_SYMBIAN) and leave the knowledge of export rules to Qt itself.
Comment 1 Laszlo Gombos 2010-04-21 16:22:32 PDT
Created attachment 54002 [details]
proposed patch

Jedrzej, it would be great if you could test this change in your environment before this gets committed.
Comment 2 Jędrzej Nowacki 2010-04-28 00:36:45 PDT
It works on my Linux machine. Windows build is broken, but it is not because of the patch (35578).
Comment 3 WebKit Commit Bot 2010-04-29 03:25:26 PDT
Comment on attachment 54002 [details]
proposed patch

Clearing flags on attachment: 54002

Committed r58494: <http://trac.webkit.org/changeset/58494>
Comment 4 WebKit Commit Bot 2010-04-29 03:25:33 PDT
All reviewed patches have been landed.  Closing bug.